//*****************************************************************



//*****************************************************************
#include "vendor.h"

#ifdef ENGLISH
#define Test_status_Success "Test status:Success"
#define File_size_Unknow    "File size:Unknown"
#define File_size           "File size:"
#define Test_status_Fail    "Test status:Fail"
#define Test_status_Message "Please verify the URL & DNS Setting and try it again."
#define Comment				"&nbsp;&nbsp;Comment&nbsp;&nbsp;"
#define Path				"&nbsp;&nbsp;Path&nbsp;&nbsp;"
#define Valid_users         "&nbsp;&nbsp;Valid&nbsp;users&nbsp;&nbsp;"
#define	Read_only			"&nbsp;&nbsp;Read&nbsp;only&nbsp;&nbsp;"
#define Guest_ok			"&nbsp;&nbsp;Guest&nbsp;ok&nbsp;&nbsp;"
#define Yes					"Yes"
#define No					"No"
#define Read_Only_Yes		"Read Only"
#define	Read_Only_No		"Read/Write"
#define	Open_mode			"Open mode"
#define Account_mode		"Account mode"
#define Ftp_Status			"&nbsp; Status"
#define Ftp_Starting		"Starting"
#define Ftp_Stop			"Stop"
#define Ftp_Path			"&nbsp; Path"
#define Ftp_Port			"&nbsp; Port"
#define Ftp_Max_user		"&nbsp; Max user"
#define Ftp_Flow			"&nbsp; Flow control"
#define Unlimited			"Unlimited"
#define Ftp_Idle_time		"&nbsp; Idle time"
#define Anonymous			"&nbsp; Anonymous"
#define Anonymous_Yes		"Yes"
#define Anonymous_No		"No"
#define Stop_FTP_Server		"Stop FTP Server"
#define Start_FTP_Server	"Start FTP Server"
#define Minutes				"minutes"
#define	Default_ip			"192.168.1.2"
#define	Default_route		"192.168.1.1"
#define SiteSurvey_Color	"color=\"#CC6600\""

#define go_lan_web			"web/advanced/adv_lan.asp"
#define go_samba_web		"web/advanced/global.asp"
#define go_samba_account	"web/advanced/add_user.asp"
#define go_samba_status		"web/advanced/adv_status.asp"
#define go_add_user			"web/advanced/add_user.asp"
#define go_timezone			"web/advanced/adv_timezone.asp"
#define go_default			"web/maintenance/mt_config_default.asp"
#define go_firmware_upload	"web/maintenance/mt_firmware_upload.asp"
#define go_add_user_success	"web/advanced/adduser_success.asp"
#define go_add_user_fail	"web/advanced/adduser_error.asp"
#define go_m_user_success	"web/advanced/modify_user_success.asp"
#define go_m_user_error		"web/advanced/modify_user_error1.asp"
#define go_remove_user		"web/advanced/remove_user2.asp"
#define	go_add_session		"web/advanced/session.asp"
#define	go_del_session		"web/advanced/show_session2.asp"
#define go_modify_session	"web/advanced/modify_session.asp"
#define go_m_session_success "web/advanced/s_modify_session2.asp"
#define go_ftp				"web/advanced/ftp_status.asp"
#define font_color			"#CC6600"
#define go_FWUpload_ok		"web/maintenance/mt_fw_upload2.asp"
#define go_FWUpload_fail	"web/maintenance/mt_fw_upload1.asp"
#define	go_idle_time		"web/maintenance/mt_idle_time.asp"
#define	go_download_web		"web/user/user_index.asp"
#define	go_schedule_list	"web/user/schedule_list2.asp"
#define	go_schedule_list2	"web/user/schedule_list.asp"
#define	go_close_page		"web/login.asp"
#endif

//*****************************************************************
//LOBOS
//*****************************************************************
#ifdef LOBOS
#define Test_status_Success  "&#12486;&#12473;&#12488;&#32080;&#26524;:&#25104;&#21151;"
#define File_size_Unknow     "&#12469;&#12452;&#12474;:Unknow"
#define File_size            "&#12469;&#12452;&#12474;:"
#define Test_status_Fail     "&#12486;&#12473;&#12488;&#32080;&#26524;:&#22833;&#25943;"
#define Test_status_Message  "URL,DNS&#12469;&#12540;&#12496;&#12540;&#12434;&#30906;&#35469;&#12375;&#12390;&#19979;&#12373;&#12356;&#12290;"
#define Comment				 "&nbsp;&nbsp;&#12467;&#12513;&#12531;&#12488;&nbsp;&nbsp;"
#define Path 				 "&nbsp;&nbsp;&#20849;&#26377;&#12497;&#12473;&nbsp;&nbsp;"
#define Valid_users 		 "&nbsp;&nbsp;&#26377;&#21177;&#12450;&#12459;&#12454;&#12531;&#12488;&nbsp;&nbsp;"
#define Read_only			 "&nbsp;&nbsp;&#35501;&#12415;&#21462;&#12426;&#23554;&#29992&nbsp;&nbsp;"
#define Guest_ok			 "&nbsp;&nbsp;&#12458;&#12540;&#12503;&#12531;&#12514;&#12540;&#12489;&nbsp;&nbsp;"
#define Yes					 "&nbsp;&#12399;&#12356;"
#define No					 "&nbsp;&#12356;&#12356;&#12360;"
#define Read_Only_Yes		 "&#35501;&#12415;&#21462;&#12426;&#23554;&#29992"
#define Read_Only_No		 "&#35501;&#12415;&#26360;&#12365;&#35377;&#21487"
#define Open_mode			 "&#12458;&#12540;&#12503;&#12531"
#define Account_mode		 "&#12450;&#12459;&#12454;&#12531;&#12488"
#define Ftp_Status			 "&nbsp; &#12473;&#12486;&#12540;&#12479;&#12473"
#define Ftp_Starting		 "&#36939;&#36578;&#20013"
#define Ftp_Stop			 "&#20572;&#27490;&#20013"
#define Ftp_Path			 "&nbsp; &#20849;&#26377;&#12497;&#12473"
#define Ftp_Port			 "&nbsp; &#12509;&#12540;&#12488"
#define Ftp_Max_user		 "&nbsp; &#26368;&#22823;&#25509;&#32154;&#25968"
#define Ftp_Flow			 "&nbsp; &#26368;&#22823;&#12473;&#12500;&#12540;&#12489"
#define Unlimited			 "&#28961;&#21046;&#38480"
#define Ftp_Idle_time	     "&nbsp; &#33258;&#21205;&#20999;&#26029"
#define Anonymous			 "&nbsp; &#21311;&#21517;&#35377;&#21487;"
#define Anonymous_Yes		 "&#35377;&#21487"
#define Anonymous_No		 "&#31105;&#27490"
#define Stop_FTP_Server		 "&#20572;&#27490"
#define Start_FTP_Server	 "&#38283;&#22987"
#define Minutes				 "&#20998"
#define	Default_ip			 ""
#define	Default_route		 "192.168.1.1"
#define SiteSurvey_Color	""

#define go_lan_web			"web/advanced/adv_lan.asp"
#define go_samba_web		"web/advanced/global.asp"
#define go_samba_account	"web/advanced/add_user.asp"
#define go_samba_status		"web/advanced/adv_status.asp"
#define go_add_user			"web/advanced/add_user.asp"
#define go_timezone			"web/advanced/adv_timezone.asp"
#define go_default			"web/maintenance/mt_config_default.asp"
#define go_firmware_upload	"web/maintenance/mt_firmware_upload.asp"
#define go_add_user_success	"web/advanced/adduser_success.asp"
#define go_add_user_fail	"web/advanced/adduser_error.asp"
#define go_m_user_success	"web/advanced/modify_user_success.asp"
#define go_m_user_error		"web/advanced/modify_user_error1.asp"
#define go_remove_user		"web/advanced/remove_user2.asp"
#define	go_add_session		"web/advanced/session.asp"
#define	go_del_session		"web/advanced/show_session2.asp"
#define go_modify_session	"web/advanced/modify_session.asp"
#define go_m_session_success "web/advanced/s_modify_session2.asp"
#define go_ftp				"web/advanced/ftp_status.asp"
#define font_color			"#CC6600"
#define go_FWUpload_ok		"web/maintenance/mt_fw_upload2.asp"
#define go_FWUpload_fail	"web/maintenance/mt_fw_upload1.asp"
#define	go_idle_time		"web/maintenance/mt_idle_time.asp"
#define	go_download_web		"web/user/user_index.asp"
#define	go_schedule_list	"web/user/schedule_list2.asp"
#define	go_schedule_list2	"web/user/schedule_list.asp"
#define	go_close_page		"web/login.asp"
#endif

//*****************************************************************
//D-LINK
//*****************************************************************
#ifdef DLINK
#define Test_status_Success "Test result:&nbsp;Successful"
#define File_size_Unknow    "File size:&nbsp;Unavailable"
#define File_size           "File size:&nbsp;"
#define Test_status_Fail    "Test result:&nbsp;Failure"
#define Test_status_Message "Please verify the URL,DNS settings,and your account settings."
#define Comment				"&nbsp;&nbsp;Comment&nbsp;&nbsp;"
#define Path				"&nbsp;&nbsp;Path&nbsp;&nbsp;"
#define Valid_users         "&nbsp;&nbsp;Valid&nbsp;users&nbsp;&nbsp;"
#define	Read_only			"&nbsp;&nbsp;Read&nbsp;only&nbsp;&nbsp;"
#define Guest_ok			"&nbsp;&nbsp;Guest&nbsp;ok&nbsp;&nbsp;"
#define Yes					"Yes"
#define No					"No"
#define Read_Only_Yes		"Read Only"
#define	Read_Only_No		"Read/Write"
#define	Open_mode			"Open mode"
#define Account_mode		"Account mode"
#define Ftp_Status			"&nbsp; Status"
#define Ftp_Starting		"Started"
#define Ftp_Stop			"Stopped"
#define Ftp_Path			"&nbsp; Path"
#define Ftp_Port			"&nbsp; Port"
#define Ftp_Max_user		"&nbsp; Max user"
#define Ftp_Flow			"&nbsp; Flow"
#define Unlimited			"Unlimited"
#define Ftp_Idle_time		"&nbsp; Idle time"
#define Anonymous			"&nbsp; Anonymous"
#define Anonymous_Yes		"Yes"
#define Anonymous_No		"No"
#define Stop_FTP_Server		"Stop FTP Server"
#define Start_FTP_Server	"Start FTP Server"
#define Minutes				"minutes"
#define	Default_ip			"192.168.0.101"
#define	Default_route		"192.168.0.1"
#define SiteSurvey_Color	""

#define go_lan_web			"web/home/lan.asp"
#define go_samba_web		"web/home/server.asp"
#define go_samba_account	"web/advanced/user_account.asp"
#define go_samba_status		"web/status/device_status.asp"
#define go_add_user			"web/advanced/user_account.asp"
#define go_timezone			"web/tools/timezone.asp"
#define go_default			"web/tools/system.asp"
#define go_firmware_upload	"web/tools/firmware_upload.asp"
#define go_add_user_success	"web/advanced/user_account.asp"
#define go_add_user_fail	"web/advanced/user_account.asp"
#define go_m_user_success	"web/advanced/modify_user_success.asp"
#define go_m_user_error		"web/advanced/modify_user_error1.asp"
#define go_remove_user		"web/advanced/user_account.asp"
#define	go_add_session		"web/advanced/session.asp"
#define	go_del_session		"web/advanced/session.asp"
#define go_modify_session	"web/advanced/modify_session.asp"
#define go_m_session_success "web/advanced/modify_session_success.asp"
#define go_ftp				"web/advanced/ftp_setting.asp"
#define font_color			"#111111"
#define go_FWUpload_ok		"web/tools/mt_fw_upload2.asp"
#define go_FWUpload_fail	"web/tools/mt_fw_upload1.asp"
#define	go_idle_time		"web/tools/system.asp"
#define	go_download_web		"web/user/download_scheduling.asp"
#define	go_schedule_list	"web/user/download_scheduling.asp"
#define	go_schedule_list2	"web/user/download_scheduling.asp"
#define	go_close_page		"web/advanced/close_page.asp"
#endif

//*****************************************************************
//SiteCom
//*****************************************************************
#ifdef SITECOM
#define Test_status_Success "Test result:&nbsp;Successful"
#define File_size_Unknow    "File size:&nbsp;Unknown"
#define File_size           "File size:&nbsp;"
#define Test_status_Fail    "Test result:&nbsp;Failure"
#define Test_status_Message "Please verify the URL & DNS Setting and try it again."
#define Comment				"&nbsp;&nbsp;Comment&nbsp;&nbsp;"
#define Path				"&nbsp;&nbsp;Path&nbsp;&nbsp;"
#define Valid_users         "&nbsp;&nbsp;Valid&nbsp;users&nbsp;&nbsp;"
#define	Read_only			"&nbsp;&nbsp;Read&nbsp;only&nbsp;&nbsp;"
#define Guest_ok			"&nbsp;&nbsp;Guest&nbsp;ok&nbsp;&nbsp;"
#define Yes					"Yes"
#define No					"No"
#define Read_Only_Yes		"Read Only"
#define	Read_Only_No		"Read/Write"
#define	Open_mode			"Open mode"
#define Account_mode		"Account mode"
#define Ftp_Status			"&nbsp; Status"
#define Ftp_Starting		"Started"
#define Ftp_Stop			"Stopped"
#define Ftp_Path			"&nbsp; Path"
#define Ftp_Port			"&nbsp; Port"
#define Ftp_Max_user		"&nbsp; Max user"
#define Ftp_Flow			"&nbsp; Flow"
#define Unlimited			"Unlimited"
#define Ftp_Idle_time		"&nbsp; Idle time"
#define Anonymous			"&nbsp; Anonymous"
#define Anonymous_Yes		"Yes"
#define Anonymous_No		"No"
#define Stop_FTP_Server		"Stop FTP Server"
#define Start_FTP_Server	"Start FTP Server"
#define Minutes				"minutes"
#define	Default_ip			"192.168.1.2"
#define	Default_route		"192.168.1.1"
#define SiteSurvey_Color	""

#define go_lan_web			"web/advanced/adv_lan.asp"
#define go_samba_web		"web/advanced/session.asp"
#define go_samba_account	"web/advanced/user_account.asp"
#define go_samba_status		"web/advanced/device_status.asp"
#define go_add_user			"web/advanced/user_account.asp"
#define go_timezone			"web/advanced/adv_timezone.asp"
#define go_default			"web/maintenance/mt_config_default.asp"
#define go_firmware_upload	"web/maintenance/mt_firmware_upload.asp"
#define go_add_user_success	"web/advanced/user_account.asp"
#define go_add_user_fail	"web/advanced/user_account.asp"
#define go_m_user_success	"web/advanced/modify_user_success.asp"
#define go_m_user_error		"web/advanced/modify_user_error1.asp"
#define go_remove_user		"web/advanced/user_account.asp"
#define	go_add_session		"web/advanced/session.asp"
#define	go_del_session		"web/advanced/session.asp"
#define go_modify_session	"web/advanced/modify_session.asp"
#define go_m_session_success "web/advanced/modify_session_success.asp"
#define go_ftp				"web/advanced/ftp_setting.asp"
#define font_color			"#111111"
#define go_FWUpload_ok		"web/maintenance/mt_fw_upload2.asp"
#define go_FWUpload_fail	"web/maintenance/mt_fw_upload1.asp"
#define	go_idle_time		"web/maintenance/mt_config_default.asp"
#define	go_download_web		"web/user/download_scheduling.asp"
#define	go_schedule_list	"web/user/schedule_list2.asp"
#define	go_schedule_list2	"web/user/schedule_list.asp"
#define	go_close_page		"web/advanced/close_page.asp"
#endif

//*****************************************************************
//LEVELONE
//*****************************************************************
#ifdef LEVELONE
#define Test_status_Success "Test status:Success"
#define File_size_Unknow    "File size:Unknown"
#define File_size           "File size:"
#define Test_status_Fail    "Test status:Fail"
#define Test_status_Message "Please verify the URL & DNS Setting and try it again."
#define Comment				"&nbsp;&nbsp;Comment&nbsp;&nbsp;"
#define Path				"&nbsp;&nbsp;Path&nbsp;&nbsp;"
#define Valid_users         "&nbsp;&nbsp;Valid&nbsp;users&nbsp;&nbsp;"
#define	Read_only			"&nbsp;&nbsp;Read&nbsp;only&nbsp;&nbsp;"
#define Guest_ok			"&nbsp;&nbsp;Guest&nbsp;ok&nbsp;&nbsp;"
#define Yes					"Yes"
#define No					"No"
#define Read_Only_Yes		"Read Only"
#define	Read_Only_No		"Read/Write"
#define	Open_mode			"Open mode"
#define Account_mode		"Account mode"
#define Ftp_Status			"&nbsp; Status"
#define Ftp_Starting		"Starting"
#define Ftp_Stop			"Stop"
#define Ftp_Path			"&nbsp; Path"
#define Ftp_Port			"&nbsp; Port"
#define Ftp_Max_user		"&nbsp; Max user"
#define Ftp_Flow			"&nbsp; Flow"
#define Unlimited			"Unlimited"
#define Ftp_Idle_time		"&nbsp; Idle time"
#define Anonymous			"&nbsp; Anonymous"
#define Anonymous_Yes		"Yes"
#define Anonymous_No		"No"
#define Stop_FTP_Server		"Stop FTP Server"
#define Start_FTP_Server	"Start FTP Server"
#define Minutes				"minutes"
#define	Default_ip			"192.168.1.2"
#define	Default_route		"192.168.1.1"
#define SiteSurvey_Color	"color=\"#0099CC\""

#define go_lan_web			"web/advanced/adv_lan.asp"
#define go_samba_web		"web/advanced/global.asp"
#define go_samba_account	"web/advanced/add_user.asp"
#define go_samba_status		"web/advanced/adv_status.asp"
#define go_add_user			"web/advanced/add_user.asp"
#define go_timezone			"web/advanced/adv_timezone.asp"
#define go_default			"web/maintenance/mt_config_default.asp"
#define go_firmware_upload	"web/maintenance/mt_firmware_upload.asp"
#define go_add_user_success	"web/advanced/adduser_success.asp"
#define go_add_user_fail	"web/advanced/adduser_error.asp"
#define go_m_user_success	"web/advanced/modify_user_success.asp"
#define go_m_user_error		"web/advanced/modify_user_error1.asp"
#define go_remove_user		"web/advanced/remove_user2.asp"
#define	go_add_session		"web/advanced/session.asp"
#define	go_del_session		"web/advanced/show_session2.asp"
#define go_modify_session	"web/advanced/modify_session.asp"
#define go_m_session_success "web/advanced/s_modify_session2.asp"
#define go_ftp				"web/advanced/ftp_status.asp"
#define font_color			"#0099CC"
#define go_FWUpload_ok		"web/maintenance/mt_fw_upload2.asp"
#define go_FWUpload_fail	"web/maintenance/mt_fw_upload1.asp"
#define	go_idle_time		"web/maintenance/mt_idle_time.asp"
#define	go_download_web		"web/user/user_index.asp"
#define	go_schedule_list	"web/user/schedule_list2.asp"
#define	go_schedule_list2	"web/user/schedule_list.asp"
#define	go_close_page		"web/login.asp"
#endif


//*****************************************************************
//Trendware
//*****************************************************************
#ifdef Trendware
#define Test_status_Success "Test status:Success"
#define File_size_Unknow    "File size:Unknown"
#define File_size           "File size:"
#define Test_status_Fail    "Test status:Fail"
#define Test_status_Message "Please verify the URL & DNS Setting and try it again."
#define Comment				"&nbsp;&nbsp;Comment&nbsp;&nbsp;"
#define Path				"&nbsp;&nbsp;Path&nbsp;&nbsp;"
#define Valid_users         "&nbsp;&nbsp;Valid&nbsp;users&nbsp;&nbsp;"
#define	Read_only			"&nbsp;&nbsp;Read&nbsp;only&nbsp;&nbsp;"
#define Guest_ok			"&nbsp;&nbsp;Guest&nbsp;ok&nbsp;&nbsp;"
#define Yes					"Yes"
#define No					"No"
#define Read_Only_Yes		"Read Only"
#define	Read_Only_No		"Read/Write"
#define	Open_mode			"Open mode"
#define Account_mode		"Account mode"
#define Ftp_Status			"&nbsp; Status"
#define Ftp_Starting		"Starting"
#define Ftp_Stop			"Stop"
#define Ftp_Path			"&nbsp; Path"
#define Ftp_Port			"&nbsp; Port"
#define Ftp_Max_user		"&nbsp; Max user"
#define Ftp_Flow			"&nbsp; Flow Control"
#define Unlimited			"Unlimited"
#define Ftp_Idle_time		"&nbsp; Idle time"
#define Anonymous			"&nbsp; Anonymous"
#define Anonymous_Yes		"Yes"
#define Anonymous_No		"No"
#define Stop_FTP_Server		"Stop FTP Server"
#define Start_FTP_Server	"Start FTP Server"
#define Minutes				"minutes"
#define	Default_ip			"192.168.1.2"
#define	Default_route		"192.168.1.1"
#define SiteSurvey_Color	"color=\"#CC6600\""

#define go_lan_web			"web/advanced/adv_lan.asp"
#define go_samba_web		"web/advanced/global.asp"
#define go_samba_account	"web/advanced/add_user.asp"
#define go_samba_status		"web/advanced/adv_status.asp"
#define go_add_user			"web/advanced/add_user.asp"
#define go_timezone			"web/advanced/adv_timezone.asp"
#define go_default			"web/maintenance/mt_config_default.asp"
#define go_firmware_upload	"web/maintenance/mt_firmware_upload.asp"
#define go_add_user_success	"web/advanced/adduser_success.asp"
#define go_add_user_fail	"web/advanced/adduser_error.asp"
#define go_m_user_success	"web/advanced/modify_user_success.asp"
#define go_m_user_error		"web/advanced/modify_user_error1.asp"
#define go_remove_user		"web/advanced/remove_user2.asp"
#define	go_add_session		"web/advanced/session.asp"
#define	go_del_session		"web/advanced/show_session2.asp"
#define go_modify_session	"web/advanced/modify_session.asp"
#define go_m_session_success "web/advanced/s_modify_session2.asp"
#define go_ftp				"web/advanced/ftp_status.asp"
#define font_color			"#111111"
#define go_FWUpload_ok		"web/maintenance/mt_fw_upload2.asp"
#define go_FWUpload_fail	"web/maintenance/mt_fw_upload1.asp"
#define	go_idle_time		"web/maintenance/mt_idle_time.asp"
#define	go_download_web		"web/user/user_index.asp"
#define	go_schedule_list	"web/user/schedule_list2.asp"
#define	go_schedule_list2	"web/user/schedule_list.asp"
#define	go_close_page		"web/login.asp"
#endif
