#ifndef	__IOCTL_WIRELESS_H
#define __IOCTL_WIRELESS_H

unsigned long D_WLN_SetConnectionMode(char *u_input);		//+Wilson05192004
unsigned long D_WLN_SetAuthenticationMode(char *u_input);	//+Wilson05202004
unsigned long D_WLN_SetSSID(char *u_input);
unsigned long D_WLN_SetChannel(char *u_input);
unsigned long D_WLN_SetActiveKeyID(char *u_input);
unsigned long D_WLN_SetWepKey1(char *u_input);
unsigned long D_WLN_SetWepKey2(char *u_input);
unsigned long D_WLN_SetWepKey3(char *u_input);
unsigned long D_WLN_SetWepKey4(char *u_input);
unsigned long D_WLN_SetEncryptionMode(char *u_input);
unsigned long D_WLN_SetWlanOnOff(char *u_input);			//+Wilson06172004
unsigned long D_WLN_SetSecurityMode(char *u_input);										//+Wilson07202004
unsigned long D_WLN_GetSecurityMode(char *u_input, char *u_output);						//+Wilson07212004
unsigned long D_WLN_SetConnectedSSID(char *u_input);									//+Wilson07222004
unsigned long D_WLN_GetMediaConnectStatus(char *u_input, char *u_output);				//+Wilson08172004
unsigned long D_WLN_GetBSSID_SSID_RSSI(unsigned char *u_input, unsigned char *u_output);	//+Wilson11192004
unsigned long D_WLN_SetRemoveAllKeys();													//+Wilson08272004
unsigned long D_WLN_SetBSSID(char *u_input);											//+Wilson09222004											
unsigned long D_WLN_SetCountryRegion(char *u_input);									//+Wilson10112004
unsigned long D_WLN_SetSiteSurvey(char *u_input);										//+Wilson07202004
unsigned long D_WLN_GetSiteSurvey(char *u_input, char *u_output);						//+Wilson07202004
unsigned long D_WLN_SetPresharedKey(char *u_input);										//+Wilson06172004


//+Wilson05202004
#if 0
unsigned long D_WLN_GetSSID(char *u_output);
unsigned long D_WLN_SetHideSSID(char *u_input);
unsigned long D_WLN_SetParaToMTD0(char *u_input);
unsigned long D_WLN_Loadmtd0Default(char *u_input);
unsigned long D_WLN_SetFragmentThreshold(char *u_input);
unsigned long D_WLN_SetRTSThreshold(char *u_input);
unsigned long D_WLN_SetMACFilterActive(char *u_input);
unsigned long D_WLN_SetMACFilterAction(char *u_input);
unsigned long D_WLN_SetMACFilterAddress(char *u_input[32]);
unsigned long D_WLN_SetTKIPKey(char *u_input);
unsigned long D_WLN_SendDisassociate(char * u_input);
unsigned long D_WLN_AttachIE(char * u_input);
unsigned long D_WLN_DetachIE(char * u_input);
//unsigned long D_WLN_EncryptionNow(char * u_input);
unsigned long D_WLN_1x_EAPAuthSTA(char *u_input);

unsigned long D_WLN_GetMSDUTxSuccessful(char *u_output);
unsigned long D_WLN_GetMSDUTxMulticast(char *u_output);
unsigned long D_WLN_GetMSDUTxDropped(char *u_output);
unsigned long D_WLN_GetMSDUTxFailed(char *u_output);
unsigned long D_WLN_GetMSDURxSuccessful(char *u_output);
unsigned long D_WLN_GetMSDURxMulticast(char *u_output);
unsigned long D_WLN_GetMSDURxDropped(char *u_output);
unsigned long D_WLN_GetMSDURxFailed(char *u_output);
unsigned long D_WLN_GetCurDataRate(char *u_output);
unsigned long D_WLN_GetSTAAssociated(char *u_output);
unsigned long D_WLN_GetBSSList(char *u_output);
unsigned long D_WLN_GetHWAddress(char *u_output);

unsigned long D_LAN_GetMediaType(char *u_output);
unsigned long D_LAN_GetTxSuccessful(char *u_output);
unsigned long D_LAN_GetRxSuccessful(char *u_output);
unsigned long D_LAN_GetCollisions(char *u_output);

#endif
//Wilson05202004+

struct obj_sta
{
    char address[6];
    char pad[2];

    char state;
    char flags;
    short age;

    char quality;
    char rssi;
};

struct obj_stakey
{
	char	address[6];
	char    keyid;
	char    reserved;
	short   options;
	char	type;
	char	length;
	char	TKIPKey[16];
	char	TxMICKey[8];
	char	RxMICKey[8];
};

#endif	//__IOCTL_LIB_H
